<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFFontFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFFontFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFFontFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFooter.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFFontFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFFontFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFFontFormatting" class="title">Class HSSFFontFormatting</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFFontFormatting</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                           title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFFontFormatting</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
              title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></pre>
                <div class="block">High level representation for Font Formatting component
                    of Conditional Formatting settings
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_DOUBLE">U_DOUBLE</a></span></code>
                                    <div class="block">Underline type - Double</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_DOUBLE_ACCOUNTING">U_DOUBLE_ACCOUNTING</a></span></code>
                                    <div class="block">Underline type - Double Accounting</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_NONE">U_NONE</a></span></code>
                                    <div class="block">Underline type - None</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_SINGLE">U_SINGLE</a></span></code>
                                    <div class="block">Underline type - Single</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_SINGLE_ACCOUNTING">U_SINGLE_ACCOUNTING</a></span></code>
                                    <div class="block">Underline type - Single Accounting</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.usermodel.FontFormatting">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                        title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_NONE">SS_NONE</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUB">SS_SUB</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUPER">SS_SUPER</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#HSSFFontFormatting-org.apache.poi.hssf.record.CFRuleBase-org.apache.poi.hssf.usermodel.HSSFWorkbook-">HSSFFontFormatting</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                                        title="class in org.apache.poi.hssf.record">CFRuleBase</a>&nbsp;cfRuleRecord,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getEscapementType--">getEscapementType</a></span>()</code>
                                    <div class="block">get the type of super or subscript for the font</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                        title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getFontColorIndex--">getFontColorIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html"
                                        title="class in org.apache.poi.hssf.record.cf">FontFormatting</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getFontFormattingBlock--">getFontFormattingBlock</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getFontHeight--">getFontHeight</a></span>()</code>
                                    <div class="block">gets the height of the font in 1/20th point units</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getFontWeight--">getFontWeight</a></span>()</code>
                                    <div class="block">get the font weight for this font (100-1000dec or 0x64-0x3e8).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getRawRecord--">getRawRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#getUnderlineType--">getUnderlineType</a></span>()</code>
                                    <div class="block">get the type of underlining for the font</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isBold--">isBold</a></span>()</code>
                                    <div class="block">get whether the font weight is set to bold or not</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isEscapementTypeModified--">isEscapementTypeModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isFontCancellationModified--">isFontCancellationModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isFontOutlineModified--">isFontOutlineModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isFontShadowModified--">isFontShadowModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isFontStyleModified--">isFontStyleModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isFontWeightModified--">isFontWeightModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isItalic--">isItalic</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isOutlineOn--">isOutlineOn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isShadowOn--">isShadowOn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isStruckout--">isStruckout</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#isUnderlineTypeModified--">isUnderlineTypeModified</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#resetFontStyle--">resetFontStyle</a></span>()</code>
                                    <div class="block">set font style options to default values (non-italic, non-bold)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setEscapementType-short-">setEscapementType</a></span>(short&nbsp;escapementType)</code>
                                    <div class="block">set the escapement type for the font</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setEscapementTypeModified-boolean-">setEscapementTypeModified</a></span>(boolean&nbsp;modified)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontCancellationModified-boolean-">setFontCancellationModified</a></span>(boolean&nbsp;modified)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                    <div class="block">Sets the colour to use</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontColorIndex-short-">setFontColorIndex</a></span>(short&nbsp;fci)</code>
                                    <div class="block">Sets the indexed colour to use</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontHeight-int-">setFontHeight</a></span>(int&nbsp;height)</code>
                                    <div class="block">Sets the height of the font in 1/20th point units</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontOutlineModified-boolean-">setFontOutlineModified</a></span>(boolean&nbsp;modified)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontShadowModified-boolean-">setFontShadowModified</a></span>(boolean&nbsp;modified)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontStyle-boolean-boolean-">setFontStyle</a></span>(boolean&nbsp;italic,
                                    boolean&nbsp;bold)</code>
                                    <div class="block">set font style options.</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontStyleModified-boolean-">setFontStyleModified</a></span>(boolean&nbsp;modified)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setOutline-boolean-">setOutline</a></span>(boolean&nbsp;on)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setShadow-boolean-">setShadow</a></span>(boolean&nbsp;on)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setStrikeout-boolean-">setStrikeout</a></span>(boolean&nbsp;strike)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setUnderlineType-short-">setUnderlineType</a></span>(short&nbsp;underlineType)</code>
                                    <div class="block">set the type of underlining type for the font</div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setUnderlineTypeModified-boolean-">setUnderlineTypeModified</a></span>(boolean&nbsp;modified)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="U_NONE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>U_NONE</h4>
                                <pre>public static final&nbsp;byte U_NONE</pre>
                                <div class="block">Underline type - None</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFFontFormatting.U_NONE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="U_SINGLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>U_SINGLE</h4>
                                <pre>public static final&nbsp;byte U_SINGLE</pre>
                                <div class="block">Underline type - Single</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFFontFormatting.U_SINGLE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="U_DOUBLE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>U_DOUBLE</h4>
                                <pre>public static final&nbsp;byte U_DOUBLE</pre>
                                <div class="block">Underline type - Double</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFFontFormatting.U_DOUBLE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="U_SINGLE_ACCOUNTING">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>U_SINGLE_ACCOUNTING</h4>
                                <pre>public static final&nbsp;byte U_SINGLE_ACCOUNTING</pre>
                                <div class="block">Underline type - Single Accounting</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFFontFormatting.U_SINGLE_ACCOUNTING">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="U_DOUBLE_ACCOUNTING">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>U_DOUBLE_ACCOUNTING</h4>
                                <pre>public static final&nbsp;byte U_DOUBLE_ACCOUNTING</pre>
                                <div class="block">Underline type - Double Accounting</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.usermodel.HSSFFontFormatting.U_DOUBLE_ACCOUNTING">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFFontFormatting-org.apache.poi.hssf.record.CFRuleBase-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFFontFormatting</h4>
                                <pre>protected&nbsp;HSSFFontFormatting(<a
                                        href="../../../../../org/apache/poi/hssf/record/CFRuleBase.html"
                                        title="class in org.apache.poi.hssf.record">CFRuleBase</a>&nbsp;cfRuleRecord,
                             <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFontFormattingBlock--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontFormattingBlock</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html"
                                        title="class in org.apache.poi.hssf.record.cf">FontFormatting</a>&nbsp;getFontFormattingBlock()</pre>
                            </li>
                        </ul>
                        <a name="getEscapementType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEscapementType</h4>
                                <pre>public&nbsp;short&nbsp;getEscapementType()</pre>
                                <div class="block">get the type of super or subscript for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getEscapementType--">getEscapementType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>super or subscript option</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_NONE"><code>FontFormatting.SS_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUPER"><code>FontFormatting.SS_SUPER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUB"><code>FontFormatting.SS_SUB</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontColorIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColorIndex</h4>
                                <pre>public&nbsp;short&nbsp;getFontColorIndex()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontColorIndex--">getFontColorIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font color index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                                    title="class in org.apache.poi.hssf.util">HSSFColor</a>&nbsp;getFontColor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontColor--">getFontColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The colour of the font, or null if no colour applied</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontColor-org.apache.poi.ss.usermodel.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontColor</h4>
                                <pre>public&nbsp;void&nbsp;setFontColor(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                        title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">FontFormatting</a></code></span>
                                </div>
                                <div class="block">Sets the colour to use</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - font colour to use</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontHeight</h4>
                                <pre>public&nbsp;int&nbsp;getFontHeight()</pre>
                                <div class="block">gets the height of the font in 1/20th point units</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontHeight--">getFontHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>fontheight (in points/20); or -1 if not modified</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontWeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontWeight</h4>
                                <pre>public&nbsp;short&nbsp;getFontWeight()</pre>
                                <div class="block">get the font weight for this font (100-1000dec or 0x64-0x3e8).
                                    Default is
                                    0x190 for normal and 0x2bc for bold
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>bw - a number between 100-1000 for the fonts "boldness"</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRawRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawRecord</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getRawRecord()</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#getRawRecord--"><code>FontFormatting.getRawRecord()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUnderlineType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUnderlineType</h4>
                                <pre>public&nbsp;short&nbsp;getUnderlineType()</pre>
                                <div class="block">get the type of underlining for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getUnderlineType--">getUnderlineType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>font underlining type</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_NONE"><code>U_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_SINGLE"><code>U_SINGLE</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_DOUBLE"><code>U_DOUBLE</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_SINGLE_ACCOUNTING"><code>U_SINGLE_ACCOUNTING</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_DOUBLE_ACCOUNTING"><code>U_DOUBLE_ACCOUNTING</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isBold--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBold</h4>
                                <pre>public&nbsp;boolean&nbsp;isBold()</pre>
                                <div class="block">get whether the font weight is set to bold or not</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isBold--">isBold</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>bold - whether the font is bold or not</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isEscapementTypeModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEscapementTypeModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isEscapementTypeModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if escapement type was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFontCancellationModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFontCancellationModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isFontCancellationModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font cancellation was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFontOutlineModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFontOutlineModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isFontOutlineModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font outline type was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFontShadowModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFontShadowModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isFontShadowModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font shadow type was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFontStyleModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFontStyleModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isFontStyleModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font style was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isItalic--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isItalic</h4>
                                <pre>public&nbsp;boolean&nbsp;isItalic()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isItalic--">isItalic</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font style was set to <i>italic</i></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isOutlineOn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isOutlineOn</h4>
                                <pre>public&nbsp;boolean&nbsp;isOutlineOn()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font outline is on</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isShadowOn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isShadowOn</h4>
                                <pre>public&nbsp;boolean&nbsp;isShadowOn()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font shadow is on</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isStruckout--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStruckout</h4>
                                <pre>public&nbsp;boolean&nbsp;isStruckout()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#isStruckout--">isStruckout</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font strikeout is on</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isUnderlineTypeModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isUnderlineTypeModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isUnderlineTypeModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font underline type was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFontWeightModified--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFontWeightModified</h4>
                                <pre>public&nbsp;boolean&nbsp;isFontWeightModified()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if font weight was modified from default</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontStyle-boolean-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontStyle</h4>
                                <pre>public&nbsp;void&nbsp;setFontStyle(boolean&nbsp;italic,
                         boolean&nbsp;bold)</pre>
                                <div class="block">set font style options.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontStyle-boolean-boolean-">setFontStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>italic</code> - - if true, set posture style to italic, otherwise to
                                        normal
                                    </dd>
                                    <dd><code>bold</code> - if true, set font weight to bold, otherwise to normal</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resetFontStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resetFontStyle</h4>
                                <pre>public&nbsp;void&nbsp;resetFontStyle()</pre>
                                <div class="block">set font style options to default values (non-italic, non-bold)</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#resetFontStyle--">resetFontStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEscapementType-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEscapementType</h4>
                                <pre>public&nbsp;void&nbsp;setEscapementType(short&nbsp;escapementType)</pre>
                                <div class="block">set the escapement type for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setEscapementType-short-">setEscapementType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>escapementType</code> - super or subscript option</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_NONE"><code>FontFormatting.SS_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUPER"><code>FontFormatting.SS_SUPER</code></a>,
                                        <a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#SS_SUB"><code>FontFormatting.SS_SUB</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setEscapementTypeModified-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEscapementTypeModified</h4>
                                <pre>public&nbsp;void&nbsp;setEscapementTypeModified(boolean&nbsp;modified)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>modified</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setEscapementTypeModified-boolean-"><code>FontFormatting.setEscapementTypeModified(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontCancellationModified-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontCancellationModified</h4>
                                <pre>public&nbsp;void&nbsp;setFontCancellationModified(boolean&nbsp;modified)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>modified</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setFontCancellationModified-boolean-"><code>FontFormatting.setFontCancellationModified(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontColorIndex-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontColorIndex</h4>
                                <pre>public&nbsp;void&nbsp;setFontColorIndex(short&nbsp;fci)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColorIndex-short-">FontFormatting</a></code></span>
                                </div>
                                <div class="block">Sets the indexed colour to use</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColorIndex-short-">setFontColorIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fci</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setFontColorIndex-short-"><code>FontFormatting.setFontColorIndex(short)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontHeight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontHeight</h4>
                                <pre>public&nbsp;void&nbsp;setFontHeight(int&nbsp;height)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontHeight-int-">FontFormatting</a></code></span>
                                </div>
                                <div class="block">Sets the height of the font in 1/20th point units</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontHeight-int-">setFontHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setFontHeight-int-"><code>FontFormatting.setFontHeight(int)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontOutlineModified-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontOutlineModified</h4>
                                <pre>public&nbsp;void&nbsp;setFontOutlineModified(boolean&nbsp;modified)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>modified</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setFontOutlineModified-boolean-"><code>FontFormatting.setFontOutlineModified(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontShadowModified-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontShadowModified</h4>
                                <pre>public&nbsp;void&nbsp;setFontShadowModified(boolean&nbsp;modified)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>modified</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setFontShadowModified-boolean-"><code>FontFormatting.setFontShadowModified(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFontStyleModified-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontStyleModified</h4>
                                <pre>public&nbsp;void&nbsp;setFontStyleModified(boolean&nbsp;modified)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>modified</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setFontStyleModified-boolean-"><code>FontFormatting.setFontStyleModified(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOutline-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOutline</h4>
                                <pre>public&nbsp;void&nbsp;setOutline(boolean&nbsp;on)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>on</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setOutline-boolean-"><code>FontFormatting.setOutline(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShadow-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShadow</h4>
                                <pre>public&nbsp;void&nbsp;setShadow(boolean&nbsp;on)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>on</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setShadow-boolean-"><code>FontFormatting.setShadow(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStrikeout-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStrikeout</h4>
                                <pre>public&nbsp;void&nbsp;setStrikeout(boolean&nbsp;strike)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>strike</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setStrikeout-boolean-"><code>FontFormatting.setStrikeout(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUnderlineType-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUnderlineType</h4>
                                <pre>public&nbsp;void&nbsp;setUnderlineType(short&nbsp;underlineType)</pre>
                                <div class="block">set the type of underlining type for the font</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setUnderlineType-short-">setUnderlineType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                                title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>underlineType</code> - super or subscript option</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_NONE"><code>U_NONE</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_SINGLE"><code>U_SINGLE</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_DOUBLE"><code>U_DOUBLE</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_SINGLE_ACCOUNTING"><code>U_SINGLE_ACCOUNTING</code></a>,
                                        <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#U_DOUBLE_ACCOUNTING"><code>U_DOUBLE_ACCOUNTING</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setUnderlineTypeModified-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setUnderlineTypeModified</h4>
                                <pre>public&nbsp;void&nbsp;setUnderlineTypeModified(boolean&nbsp;modified)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>modified</code> -</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hssf/record/cf/FontFormatting.html#setUnderlineTypeModified-boolean-"><code>FontFormatting.setUnderlineTypeModified(boolean)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFFontFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFont.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFFooter.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFFontFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFFontFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
